For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
    • POSTGets USDC/SBC/EuroE on testnets
      • GETGet Refunds
      • GETView All Refunds for Payment
      • GETView Refund Information for Payment
LogoLogo
RegisterLoginSandbox Login
API ReferenceRefund

Get Refunds

GET
https://api-sandbox.coinflow.cash/api/refunds
GET
/api/refunds
$curl https://api-sandbox.coinflow.cash/api/refunds \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1[
2 {
3 "id": "rfd_8a7b3c9d2e4f1a6b",
4 "merchantId": "mrc_4f2d1e9a7b6c3d8e",
5 "paymentId": "pay_9c8b7a6d5e4f3b2a",
6 "totals": {
7 "subtotal": {
8 "cents": 15000,
9 "currency": "USD"
10 },
11 "processorFees": {
12 "cents": 450,
13 "currency": "USD"
14 },
15 "total": {
16 "cents": 15450,
17 "currency": "USD"
18 },
19 "rate": 1,
20 "resolution": {
21 "cents": 15450,
22 "currency": "USD"
23 },
24 "adjustment": {
25 "cents": 0,
26 "currency": "USD"
27 }
28 },
29 "status": "Pending",
30 "reimbursementStatus": "Pending",
31 "outstanding": {
32 "cents": 15450
33 },
34 "source": "Credits",
35 "method": "Card",
36 "createdAt": "2024-01-15T09:30:00Z",
37 "signature": "a1b2c3d4e5f67890abcdef1234567890abcdef12",
38 "failureReason": "Insufficient funds"
39 }
40]
Was this page helpful?
Previous

View All Refunds for Payment

Next
Built with

Authentication

Authorizationstring
API Key authentication via header
OR
Authorizationstring
The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Query parameters

sincestringOptional
untilstringOptional
statusstringOptional
sourcestringOptional
methodstringOptional
merchantIdstringOptional

Response

Ok
idstring
merchantIdstring
paymentIdstring
totalsobject
statusenum
Allowed values:
reimbursementStatusenum
Allowed values:
outstandingobject
sourceenum
Allowed values:
methodenum
createdAtdatetime
signaturestring
failureReasonstring

The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key